Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » P2 Update with Kepler
P2 Update with Kepler [message #1067831] Wed, 10 July 2013 14:57
Chris Navarro is currently offline Chris Navarro
Messages: 1
Registered: July 2013
Junior Member
I have a small patch for Jsch (com.jcraft.jsch) that I can apply to Eclipse Juno using an update site and feature patch for the org.eclipse.platform feature, but when I try to apply the same patch to Eclipse Kepler, I get an error that only one version of Jsch can be installed. I updated my feature patch with what looks like the correct information for the org.eclipse.platform feature, but P2 rejects it, tries to look for other solutions and can't find any.

My feature patch specifies the feature id to be patched as "org.eclipse.platform" and the feature version is specified as "4.3.0.v20130605-2000". The included jsch is com.jcraft.jsch_0.1.46.v201205102330, so I set my com.jcraft.jsch plugin to 0.1.46.qualifier, which I believe is correct.

Am I missing something obvious?

Thanks,
Chris
Previous Topic:P2.inf to remove a category
Next Topic:Plugins not installed properly?
Goto Forum:
  


Current Time: Thu Aug 21 12:18:33 EDT 2014

Powered by FUDForum. Page generated in 0.07927 seconds